<?php 
session_start();
require_once "../modelos/Tarjeta.php";

$tarjeta=new Tarjeta();

$idtarjeta			=isset($_POST["idtarjeta"])? limpiarCadena($_POST["idtarjeta"]):"";
$nombre				=isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$num_tarjeta		=isset($_POST["num_tarjeta"])? limpiarCadena($_POST["num_tarjeta"]):"";
$codigoBarraTarjeta	=isset($_POST["codigoBarraTarjeta"])? limpiarCadena($_POST["codigoBarraTarjeta"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':

		if (empty($idtarjeta)) {
			$rspta=$tarjeta->insertar($nombre,$num_tarjeta,$codigoBarraTarjeta);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar todos los datos del tarjeta";
		}else{
			$rspta=$tarjeta->editar($idtarjeta,$nombre,$num_tarjeta,$codigoBarraTarjeta);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;
	

	case 'desactivar':
		$rspta=$tarjeta->desactivar($idtarjeta);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;

	case 'activar':
		$rspta=$tarjeta->activar($idtarjeta);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$tarjeta->mostrar($idtarjeta);
		echo json_encode($rspta);
	break;

	case 'listar':
		$rspta=$tarjeta->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
				"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idtarjeta.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idtarjeta.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idtarjeta.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idtarjeta.')"><i class="fa fa-check"></i></button>',
				"1"=>$reg->nombre,
				"2"=>$reg->num_tarjeta,
				"3"=>$reg->codigoBarraTarjeta,
				"4"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
			);
		}

		$results=array(
				"sEcho"=>1,//info para datatables
				"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
				"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
				"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listartarjetasdecliente':
		$rspta		=$tarjeta->listartarjetasdecliente();
		$nrocolumna	=1;
		$nrofila	=0;
		$nrotarjeta =1;
		echo '<table class="table table-bordered" id="tarjetasdecliente1">
        <tr>
        <th>Tarjetas</th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        </tr>';
		while ($reg=$rspta->fetch_object()) {
			$idtarjeta 	= $reg->idtarjeta;
			$estado		= $reg->estado;
			
			if ($nrocolumna==1){
				echo '<tr>';
			}
			echo '<td><div class="btn-group-vertical">';
			if ($estado=='Pendiente'){
				$pedido = 1;
				echo '<button class="btn bg-orange btn-app" id="tarjetacliente[]" onclick="mostrartarjetacliente('.$idtarjeta.','.$pedido.')"><i class="fa fa-plus-circle"></i>'.$reg->nombre.'</button>';
			}else{
				$pedido	= 0;
				echo '<button class="btn bg-blue btn-app" id="tarjetacliente[]" onclick="mostrartarjetacliente('.$idtarjeta.','.$pedido.')"><i class="fa fa-plus-circle"></i>'.$reg->nombre.'</button>';
			}	
				echo '</div></td>';
			if ($nrocolumna==10) {
				$nrocolumna=0;
				echo '</tr>';
			}
			$nrocolumna = $nrocolumna + 1;
			$nrotarjeta = $nrotarjeta + 1;
		}
		echo '</table>';
	break;
}
?>

